#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct GeneratePresignedLinkResponse {
    #[builder(custom(type = super::PresignedUrl, convert = Box::new))]
    #[serde(rename = "presignedUrl")]
    presigned_url: Box<super::PresignedUrl>,
    #[serde(rename = "fileSizeBytes")]
    file_size_bytes: conjure_object::SafeLong,
}
impl GeneratePresignedLinkResponse {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        presigned_url: super::PresignedUrl,
        file_size_bytes: conjure_object::SafeLong,
    ) -> Self {
        Self::builder()
            .presigned_url(presigned_url)
            .file_size_bytes(file_size_bytes)
            .build()
    }
    #[inline]
    pub fn presigned_url(&self) -> &super::PresignedUrl {
        &*self.presigned_url
    }
    #[inline]
    pub fn file_size_bytes(&self) -> conjure_object::SafeLong {
        self.file_size_bytes
    }
}
